package com.devbeh.managers;


import com.devbeh.data.PerceptionResponseOrBuilder;


public interface TrackingConsumer extends DataConsumer
{
    /**
     * Записывает результат отслеживания для очередного кадра в очередь для обработки. Если frameId будет равен -1,
     * видеопоток будет считаться завершенным. Вызов данного метода может заблокироваться на неопределенное время.
     *
     * @param tracking результат отслеживания для очередного кадра
     */
    void putTracking(PerceptionResponseOrBuilder tracking) throws InterruptedException;
}
