package com.devbeh.kafka;


import com.devbeh.commondata.KBEntry;
import com.google.protobuf.InvalidProtocolBufferException;
import org.apache.kafka.common.serialization.Deserializer;


public class KBEntryDeserializer implements Deserializer<KBEntry>
{
    @Override
    public KBEntry deserialize(String topic, byte[] data)
    {
        try
        {
            return KBEntry.parseFrom(data);
        }
        catch (InvalidProtocolBufferException e)
        {
            throw new RuntimeException(e);
        }
    }
}