package com.devbeh.kafka;


import com.devbeh.data.TrackerFrameData;
import com.google.protobuf.InvalidProtocolBufferException;
import org.apache.kafka.common.serialization.Deserializer;


public class TrackerFrameDataDeserializer implements Deserializer<TrackerFrameData>
{
    @Override
    public TrackerFrameData deserialize(String topic, byte[] data)
    {
        try
        {
            return TrackerFrameData.parseFrom(data);
        }
        catch (InvalidProtocolBufferException e)
        {
            throw new RuntimeException(e);
        }
    }
}
