package com.devbeh.managers;


import com.devbeh.data.PerceptionResponseOrBuilder;


public interface ActionsConsumer extends DataConsumer
{
    /**
     * Записывает результат детектирования действий для очередного кадра в очередь для обработки. Если frameId будет
     * равен -1, видеопоток будет считаться завершенным. Вызов данного метода может заблокироваться на неопределенное
     * время.
     *
     * @param actions результат детектирования действий для очередного кадра
     */
    void putActions(PerceptionResponseOrBuilder actions) throws InterruptedException;
}