package com.devbeh.managers;


import com.devbeh.data.PerceptionResponseOrBuilder;


public interface DetectionConsumer extends DataConsumer
{
    /**
     * Записывает результат детектирования для очередного кадра в очередь для обработки. Если frameId будет равен -1,
     * видеопоток будет считаться завершенным. Вызов данного метода может заблокироваться на неопределенное время.
     *
     * @param detection результат детектирования для очередного кадра
     */
    void putDetection(PerceptionResponseOrBuilder detection) throws InterruptedException;
}
