package com.devbeh.managers;


import com.devbeh.FrameIdAndBytes;


public interface FrameConsumer extends DataConsumer
{
    /**
     * Записывает кадр видеозаписи в очередь на обработку. Если frameId будет равен -1, видеопоток будет
     * считаться завершенным. Вызов данного метода может заблокироваться на неопределенное время.
     *
     * @param frameIdAndBytes информация о кадре
     */
    void putFrame(FrameIdAndBytes frameIdAndBytes) throws InterruptedException;
}
